Jump to content
IPS Invision Community
Sign in to follow this  
Draco-Zero

Проблема с установкой

Recommended Posts

Draco-Zero

При установке IPS 4.2.8 попросило обновить версию php:

You are running PHP version 5.5.9-1ubuntu4.27. You need PHP 5.6.0 or above (7.0.0 or above recommended). You should contact your hosting provider or system administrator to ask for an upgrade.

Обновил до 7.0, перезапустил apache, но все также пишет что у меня устаревшая версия php. Что делать?

Share this post


Link to post
Share on other sites
Draco-Zero

Весь вебсервер?

Share this post


Link to post
Share on other sites
Draco-Zero

Обожаю, неделю вот таким способом познаю VDS. Спрошу тогда еще у хостинга.

Share this post


Link to post
Share on other sites
sync
24.03.2019 в 20:00, Draco-Zero сказал:

все также пишет что у меня устаревшая версия php

Создать в корне сайта файл phpinfo.php с содержимым

<?php
phpinfo();

И убедиться, что апач запускает нужную версию php. Далее читаем в интернете инструкцию по смене версии php в апач.

  • Спасибо 1

Share this post


Link to post
Share on other sites
Draco-Zero

@sync Спасибо, я понял о чем вы ?

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Similar Content

    • qwert
      By qwert
      php.ini — это конфигурационный файл, который содержит настройки интерпретатора PHP. В панели управления VESTA файл php.ini можно отредактировать во вкладке «СЕРВЕР». 
      Переходим во вкладку «СЕРВЕР», выбираем пункт веб сервер «apache2» и нажимаем на ссылку «CONFIGURE».
      Дальше выбираем вкладку «Настроить PHP.INI».
      Базовые настройки:
      max_execution_time - Количество секунд работы PHP Сценария перед тем, как сценарий будет завершен. Этот лимит предотвращает сбои в работе сервера из-за «зависших сценариев», которым требуется время для выполнения. max_input_time - Количество секунд, которое Сценарий PHP использует для обработки новой информации, такой как загрузки файла. Этот лимит предотвращает замедление работы сервера перегруженным сценарием. memory_limit - Максимальный объем памяти в Мб, доступный php-скрипту. Этот предел предотвращает размещение доступной памяти сервера сценариями с большим кодом. error_reporting - Уровень ошибок в php, которые будут выводиться на сайте: предупреждения, ошибки, использование функций которые помечены устаревшими. Функция работает, когда включена опция display_errors. display_errors - Если опция включена, ошибки и предупреждения будут включены в результат выполнения скрипта (будут включены в сгенерированный html, и отображены на странице сайта, если в скрипте не переопределена данная опция). post_max_size - Максимальный размер данных в байтах, которые могут быть отправлены методом POST. Как правило, должно быть больше, чем upload_max_filesize и меньшим, чем memory_limit. Используются ярлыки для значений байта: K (kilo), M (mega), и G (giga) Например, 16M. upload_max_filesize - Ограничение максимального размера файла, загружаемого на сервер. Указывается в мегабайтах. Для расширенных настроек необходимо нажать кнопку «Дополнительные опции».
      После внесения корректировок, необходимо установить галочку «Перезапустить» и нажать кнопку «Сохранить», после этого веб сервер будет перезагружен и изменения вступят в силу.
    • Draco-Zero
      By Draco-Zero
      Посоветуйте, расскажите какие модули php, mysql и др. желательны под IPS, из чего собирать вебсервер.
×
×
  • Create New...
Вверх